Bug 475788 - Build of i686 GLibC debuginfo fails on egrep status
Build of i686 GLibC debuginfo fails on egrep status
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Schwab
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 09:38 EST by Steve Snyder
Modified: 2009-12-18 02:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:14:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the file referred to in the error messages (3.99 KB, text/plain)
2008-12-10 09:46 EST, Steve Snyder
no flags Details

  None (edit)
Description Steve Snyder 2008-12-10 09:38:07 EST
Description of problem:

The build of GLibC fails during the debuginfo step of the packaging.

Version-Release number of selected component (if applicable):


How reproducible:

Haven't tried

Steps to Reproduce:
1. On a fully-updated Fedora 10 system, do this
2.  Run: "rpm -ivh glibc-2.9-2.src.rpm"
3.  Run: "rpmbuild -bb --target i686 SPECS/glibc.spec"

  
Actual results:

symlinked /usr/lib/debug/lib/i686/nosegneg/libm-2.9.so.debug to /usr/lib/debug/lib/i686/nosegneg/libm.so.6.debug
symlinked /usr/lib/debug/lib/i686/nosegneg/libc-2.9.so.debug to /usr/lib/debug/lib/i686/nosegneg/libc.so.6.debug
symlinked /usr/lib/debug/lib/i686/nosegneg/librt-2.9.so.debug to /usr/lib/debug/lib/i686/nosegneg/librt.so.1.debug
symlinked /usr/lib/debug/lib/libc-2.9.so.debug to /usr/lib/debug/lib/libc.so.6.debug
symlinked /usr/lib/debug/lib/librt-2.9.so.debug to /usr/lib/debug/lib/librt.so.1.debug
0 blocks
+ sed -i '\#^/usr/src/debug/#d' debuginfocommon.filelist
+ cd /home/rpmbuild/rpmbuild/BUILDROOT/glibc-2.9-2.i386/usr/src
+ find debug -type d
+ sed 's#^#%dir /usr/src/#'
+ cd /home/rpmbuild/rpmbuild/BUILDROOT/glibc-2.9-2.i386/usr/src
+ find debug '!' -type d
+ sed 's#^#/usr/src/#'
+ auxarches_debugsources='/(generic|linux|i386|nptl(_db)?)/|/glibc-20081113T2206/build|/dl-osinfo\.h'
+ egrep '/(generic|linux|i386|nptl(_db)?)/|/glibc-20081113T2206/build|/dl-osinfo\.h' debuginfocommon.sources
error: Bad exit status from /home/rpmbuild/rpmbuild/TMP/rpm-tmp.KSLM76 (%install)


RPM build errors:
    Bad exit status from /home/rpmbuild/rpmbuild/TMP/rpm-tmp.KSLM76 (%install)


Expected results:

Build should complete without error


Additional info:

Doing a manual run of:

  egrep '/(generic|linux|i386|nptl(_db)?)/|/glibc-20081113T2206/build|/dl-osinfo\.h' BUILD/glibc-20081113T2206/debuginfocommon.sources

gets me an exit code of 1.  According to the egrep man pages, that is normal if no matches were found.  Examining file debuginfocommon.sources I see no lines that satisfy the egrep search strings.  Therefore the exit code is accurate.
Comment 1 Steve Snyder 2008-12-10 09:46:01 EST
Created attachment 326513 [details]
This is the file referred to in the error messages

Attached the input file of the egrep search.
Comment 2 Bug Zapper 2009-11-18 05:25:48 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:14:46 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.